AsterNet Class Library (Sandcastle documentation)

| ResponseEvents Class

Collection of ResponseEvent. Use in events generation actions.
Inheritance Hierarchy
System
Object
AsterNET.Manager
ResponseEvents

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ResponseEvents

    Public Class ResponseEvents

    public ref class ResponseEvents

    type ResponseEvents =  class end

The ResponseEvents type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ResponseEvents | Creates a new instance.

Top
Methods

| Name | Description
--- | --- | ---
| AddEvent | Adds a ResponseEvent that has been received.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| Complete | Indicats if all events have been received.
| Events |
| Response |

Top
See Also

#### Reference

AsterNET.Manager Namespace